package jesse.keeblarcraft.gui;

import jesse.keeblarcraft.GuiMgr.ScreenHandlerRegistration;
import jesse.keeblarcraft.gui.FactionBlockGUI.FactionBlockScreen;
import jesse.keeblarcraft.gui.ShopKeeperGUI.ShopKeeperMenu;
import net.minecraft.client.gui.screen.ingame.HandledScreens;

public class ClientHandlers {
    public static void RegisterHandlers() {
        System.out.println("Registering tree handler screen");
        // HandledScreens.register(Keeblarcraft.TREE_HANDLER, ScreenManager::new);
        HandledScreens.register(ScreenHandlerRegistration.FACTION_BLOCK_SCREEN_HANDLER, FactionBlockScreen::new);
        HandledScreens.register(ScreenHandlerRegistration.SHOP_KEEPER_HANDLER_SCREEN_HANDLER_TYPE, ShopKeeperMenu::new);
    }
}
